# Uses of Class
javafx.scene.paint.Paint

Packages that use Paint
Package
Description
javafx.css
Provides API for making properties styleable via CSS and for supporting pseudo-class state.
javafx.css.converter
Provides various `StyleConverter` classes that convert CSS parsed values.
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.canvas
Provides the set of classes for canvas, an immediate mode style of rendering API.
javafx.scene.chart
The JavaFX User Interface provides a set of chart components that are a very convenient way for data visualization.
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located
javafx.scene.effect
Provides the set of classes for attaching graphical filter effects to JavaFX Scene Graph Nodes.
javafx.scene.layout
Provides classes to support user interface layout.
javafx.scene.paint
Provides the set of classes for colors and gradients used to fill shapes and backgrounds when rendering the scene graph.
javafx.scene.shape
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.
javafx.scene.text
Provides the set of classes for fonts and renderable Text Node.

## Uses of Paint in javafx.css

Methods in javafx.css that return types with arguments of type Paint
Modifier and Type
Method
Description
`final CssMetaData<S,Paint>`
StyleablePropertyFactory.`createPaintCssMetaData(String property, Function<S,StyleableProperty<Paint>> function)`
Create a CssMetaData<S, Paint> with initial value of Color.BLACK, and inherit flag defaulting to false.
`final CssMetaData<S,Paint>`
StyleablePropertyFactory.`createPaintCssMetaData(String property, Function<S,StyleableProperty<Paint>> function, Paint initialValue)`
Create a CssMetaData<S, Paint> with initial value, and inherit flag defaulting to false.
`final CssMetaData<S,Paint>`
StyleablePropertyFactory.`createPaintCssMetaData(String property, Function<S,StyleableProperty<Paint>> function, Paint initialValue, boolean inherits)`
Create a CssMetaData<S, Paint> with initial value, and inherit flag.
`final StyleableProperty<Paint>`
StyleablePropertyFactory.`createStyleablePaintProperty(S styleable, String propertyName, String cssProperty)`
Create a StyleableProperty<Paint> using previously created CssMetaData for the given `cssProperty`.
`final StyleableProperty<Paint>`
StyleablePropertyFactory.`createStyleablePaintProperty(S styleable, String propertyName, String cssProperty, Function<S,StyleableProperty<Paint>> function)`
Create a StyleableProperty<Paint>.
`final StyleableProperty<Paint>`
StyleablePropertyFactory.`createStyleablePaintProperty(S styleable, String propertyName, String cssProperty, Function<S,StyleableProperty<Paint>> function, Paint initialValue)`
Create a StyleableProperty<Paint> with initial value.
`final StyleableProperty<Paint>`
StyleablePropertyFactory.`createStyleablePaintProperty(S styleable, String propertyName, String cssProperty, Function<S,StyleableProperty<Paint>> function, Paint initialValue, boolean inherits)`
Create a StyleableProperty<Paint> with initial value and inherit flag.
`static StyleConverter<ParsedValue<?,Paint>,Paint>`
StyleConverter.`getPaintConverter()`
Return a `StyleConverter` that converts a parsed representation of a `Paint` to a `Paint`.
`static StyleConverter<ParsedValue<?,Paint>,Paint>`
StyleConverter.`getPaintConverter()`
Return a `StyleConverter` that converts a parsed representation of a `Paint` to a `Paint`.
Methods in javafx.css with parameters of type Paint
Modifier and Type
Method
Description
`final CssMetaData<S,Paint>`
StyleablePropertyFactory.`createPaintCssMetaData(String property, Function<S,StyleableProperty<Paint>> function, Paint initialValue)`
Create a CssMetaData<S, Paint> with initial value, and inherit flag defaulting to false.
`final CssMetaData<S,Paint>`
StyleablePropertyFactory.`createPaintCssMetaData(String property, Function<S,StyleableProperty<Paint>> function, Paint initialValue, boolean inherits)`
Create a CssMetaData<S, Paint> with initial value, and inherit flag.
`final StyleableProperty<Paint>`
StyleablePropertyFactory.`createStyleablePaintProperty(S styleable, String propertyName, String cssProperty, Function<S,StyleableProperty<Paint>> function, Paint initialValue)`
Create a StyleableProperty<Paint> with initial value.
`final StyleableProperty<Paint>`
StyleablePropertyFactory.`createStyleablePaintProperty(S styleable, String propertyName, String cssProperty, Function<S,StyleableProperty<Paint>> function, Paint initialValue, boolean inherits)`
Create a StyleableProperty<Paint> with initial value and inherit flag.
Method parameters in javafx.css with type arguments of type Paint
Modifier and Type
Method
Description
`final CssMetaData<S,Paint>`
StyleablePropertyFactory.`createPaintCssMetaData(String property, Function<S,StyleableProperty<Paint>> function)`
Create a CssMetaData<S, Paint> with initial value of Color.BLACK, and inherit flag defaulting to false.
`final CssMetaData<S,Paint>`
StyleablePropertyFactory.`createPaintCssMetaData(String property, Function<S,StyleableProperty<Paint>> function, Paint initialValue)`
Create a CssMetaData<S, Paint> with initial value, and inherit flag defaulting to false.
`final CssMetaData<S,Paint>`
StyleablePropertyFactory.`createPaintCssMetaData(String property, Function<S,StyleableProperty<Paint>> function, Paint initialValue, boolean inherits)`
Create a CssMetaData<S, Paint> with initial value, and inherit flag.
`final StyleableProperty<Paint>`
StyleablePropertyFactory.`createStyleablePaintProperty(S styleable, String propertyName, String cssProperty, Function<S,StyleableProperty<Paint>> function)`
Create a StyleableProperty<Paint>.
`final StyleableProperty<Paint>`
StyleablePropertyFactory.`createStyleablePaintProperty(S styleable, String propertyName, String cssProperty, Function<S,StyleableProperty<Paint>> function, Paint initialValue)`
Create a StyleableProperty<Paint> with initial value.
`final StyleableProperty<Paint>`
StyleablePropertyFactory.`createStyleablePaintProperty(S styleable, String propertyName, String cssProperty, Function<S,StyleableProperty<Paint>> function, Paint initialValue, boolean inherits)`
Create a StyleableProperty<Paint> with initial value and inherit flag.

## Uses of Paint in javafx.css.converter

Methods in javafx.css.converter that return Paint
Modifier and Type
Method
Description
`Paint`
PaintConverter.`convert(ParsedValue<ParsedValue<?,Paint>,Paint> value, Font font)`
`Paint`
PaintConverter.ImagePatternConverter.`convert(ParsedValue<ParsedValue[],Paint> value, Font font)`
`Paint`
PaintConverter.LinearGradientConverter.`convert(ParsedValue<ParsedValue[],Paint> value, Font font)`
`Paint`
PaintConverter.RadialGradientConverter.`convert(ParsedValue<ParsedValue[],Paint> value, Font font)`
`Paint`
PaintConverter.RepeatingImagePatternConverter.`convert(ParsedValue<ParsedValue[],Paint> value, Font font)`
`Paint[]`
PaintConverter.SequenceConverter.`convert(ParsedValue<ParsedValue<?,Paint>[],Paint[]> value, Font font)`
Methods in javafx.css.converter that return types with arguments of type Paint
Modifier and Type
Method
Description
`static StyleConverter<ParsedValue<?,Paint>,Paint>`
PaintConverter.`getInstance()`
`static StyleConverter<ParsedValue<?,Paint>,Paint>`
PaintConverter.`getInstance()`
Method parameters in javafx.css.converter with type arguments of type Paint
Modifier and Type
Method
Description
`Paint`
PaintConverter.`convert(ParsedValue<ParsedValue<?,Paint>,Paint> value, Font font)`
`Paint`
PaintConverter.`convert(ParsedValue<ParsedValue<?,Paint>,Paint> value, Font font)`
`Paint`
PaintConverter.ImagePatternConverter.`convert(ParsedValue<ParsedValue[],Paint> value, Font font)`
`Paint`
PaintConverter.LinearGradientConverter.`convert(ParsedValue<ParsedValue[],Paint> value, Font font)`
`Paint`
PaintConverter.RadialGradientConverter.`convert(ParsedValue<ParsedValue[],Paint> value, Font font)`
`Paint`
PaintConverter.RepeatingImagePatternConverter.`convert(ParsedValue<ParsedValue[],Paint> value, Font font)`

## Uses of Paint in javafx.scene

Methods in javafx.scene that return Paint
Modifier and Type
Method
Description
`final Paint`
Scene.`getFill()`
Gets the value of the `fill` property.
`Paint`
SnapshotParameters.`getFill()`
Gets the current fill.
`final Paint`
SubScene.`getFill()`
Gets the value of the `fill` property.
Methods in javafx.scene that return types with arguments of type Paint
Modifier and Type
Method
Description
`final ObjectProperty<Paint>`
Scene.`fillProperty()`
Defines the background fill of this `Scene`.
`final ObjectProperty<Paint>`
SubScene.`fillProperty()`
Defines the background fill of this `SubScene`.
Methods in javafx.scene with parameters of type Paint
Modifier and Type
Method
Description
`final void`
Scene.`setFill(Paint value)`
Sets the value of the `fill` property.
`void`
SnapshotParameters.`setFill(Paint fill)`
Sets the fill to the specified value.
`final void`
SubScene.`setFill(Paint value)`
Sets the value of the `fill` property.
Constructors in javafx.scene with parameters of type Paint
Modifier
Constructor
Description
``
`Scene(Parent root, double width, double height, Paint fill)`
Creates a Scene for a specific root Node with a specific size and fill.
``
`Scene(Parent root, Paint fill)`
Creates a Scene for a specific root Node with a fill.

## Uses of Paint in javafx.scene.canvas

Methods in javafx.scene.canvas that return Paint
Modifier and Type
Method
Description
`Paint`
GraphicsContext.`getFill()`
Gets the current fill paint attribute.
`Paint`
GraphicsContext.`getStroke()`
Gets the current stroke.
Methods in javafx.scene.canvas with parameters of type Paint
Modifier and Type
Method
Description
`void`
GraphicsContext.`setFill(Paint p)`
Sets the current fill paint attribute.
`void`
GraphicsContext.`setStroke(Paint p)`
Sets the current stroke paint attribute.

## Uses of Paint in javafx.scene.chart

Methods in javafx.scene.chart that return Paint
Modifier and Type
Method
Description
`final Paint`
Axis.`getTickLabelFill()`
Gets the value of the `tickLabelFill` property.
Methods in javafx.scene.chart that return types with arguments of type Paint
Modifier and Type
Method
Description
`final ObjectProperty<Paint>`
Axis.`tickLabelFillProperty()`
The fill for all tick labels
Methods in javafx.scene.chart with parameters of type Paint
Modifier and Type
Method
Description
`final void`
Axis.`setTickLabelFill(Paint value)`
Sets the value of the `tickLabelFill` property.

## Uses of Paint in javafx.scene.control

Methods in javafx.scene.control that return Paint
Modifier and Type
Method
Description
`final Paint`
Labeled.`getTextFill()`
Gets the value of the `textFill` property.
Methods in javafx.scene.control that return types with arguments of type Paint
Modifier and Type
Method
Description
`final ObjectProperty<Paint>`
Labeled.`textFillProperty()`
The `Paint` used to fill the text.
Methods in javafx.scene.control with parameters of type Paint
Modifier and Type
Method
Description
`final void`
Labeled.`setTextFill(Paint value)`
Sets the value of the `textFill` property.

## Uses of Paint in javafx.scene.control.skin

Methods in javafx.scene.control.skin that return Paint
Modifier and Type
Method
Description
`protected final Paint`
TextInputControlSkin.`getHighlightFill()`
Gets the value of the `highlightFill` property.
`protected final Paint`
TextInputControlSkin.`getHighlightTextFill()`
Gets the value of the `highlightTextFill` property.
`protected final Paint`
TextInputControlSkin.`getPromptTextFill()`
Gets the value of the `promptTextFill` property.
`protected final Paint`
TextInputControlSkin.`getTextFill()`
Gets the value of the `textFill` property.
Methods in javafx.scene.control.skin that return types with arguments of type Paint
Modifier and Type
Method
Description
`protected final ObjectProperty<Paint>`
TextInputControlSkin.`highlightFillProperty()`
The fill to use for the text when highlighted.
`protected final ObjectProperty<Paint>`
TextInputControlSkin.`highlightTextFillProperty()`
`protected final ObjectProperty<Paint>`
TextInputControlSkin.`promptTextFillProperty()`
`protected final ObjectProperty<Paint>`
TextInputControlSkin.`textFillProperty()`
The fill to use for the text under normal conditions
Methods in javafx.scene.control.skin with parameters of type Paint
Modifier and Type
Method
Description
`protected final void`
TextInputControlSkin.`setHighlightFill(Paint value)`
The fill `Paint` used for the background of selected text.
`protected final void`
TextInputControlSkin.`setHighlightTextFill(Paint value)`
The fill `Paint` used for the foreground of selected text.
`protected final void`
TextInputControlSkin.`setPromptTextFill(Paint value)`
The fill `Paint` used for the foreground prompt text color.
`protected final void`
TextInputControlSkin.`setTextFill(Paint value)`
The fill `Paint` used for the foreground text color.

## Uses of Paint in javafx.scene.effect

Methods in javafx.scene.effect that return Paint
Modifier and Type
Method
Description
`final Paint`
ColorInput.`getPaint()`
Gets the value of the `paint` property.
Methods in javafx.scene.effect that return types with arguments of type Paint
Modifier and Type
Method
Description
`final ObjectProperty<Paint>`
ColorInput.`paintProperty()`
The `Paint` used to flood the region.
Methods in javafx.scene.effect with parameters of type Paint
Modifier and Type
Method
Description
`final void`
ColorInput.`setPaint(Paint value)`
Sets the value of the `paint` property.
Constructors in javafx.scene.effect with parameters of type Paint
Modifier
Constructor
Description
``
`ColorInput(double x, double y, double width, double height, Paint paint)`
Creates a new instance of ColorInput with the specified x, y, width, height, and paint.

## Uses of Paint in javafx.scene.layout

Methods in javafx.scene.layout that return Paint
Modifier and Type
Method
Description
`final Paint`
BorderStroke.`getBottomStroke()`
Defines the fill of bottom side of this border.
`final Paint`
BackgroundFill.`getFill()`
The Paint to use for filling the background of the `Region`.
`final Paint`
BorderStroke.`getLeftStroke()`
Defines the fill of left side of this border.
`final Paint`
BorderStroke.`getRightStroke()`
Defines the fill of right side of this border.
`final Paint`
BorderStroke.`getTopStroke()`
Defines the fill of top side of this border.
Constructors in javafx.scene.layout with parameters of type Paint
Modifier
Constructor
Description
``
`BackgroundFill(Paint fill, CornerRadii radii, Insets insets)`
Creates a new BackgroundFill with the specified fill, radii, and insets.
``
`BorderStroke(Paint stroke, BorderStrokeStyle style, CornerRadii radii, BorderWidths widths)`
Creates a new `BorderStroke`.
``
`BorderStroke(Paint stroke, BorderStrokeStyle style, CornerRadii radii, BorderWidths widths, Insets insets)`
Creates a new `BorderStroke`.
``
`BorderStroke(Paint topStroke, Paint rightStroke, Paint bottomStroke, Paint leftStroke, BorderStrokeStyle topStyle, BorderStrokeStyle rightStyle, BorderStrokeStyle bottomStyle, BorderStrokeStyle leftStyle, CornerRadii radii, BorderWidths widths, Insets insets)`
Creates a new `BorderStroke`, specifying all construction parameters.

## Uses of Paint in javafx.scene.paint

Subclasses of Paint in javafx.scene.paint
Modifier and Type
Class
Description
`final class`
`Color`
The Color class is used to encapsulate colors in the default sRGB color space.
`final class`
`ImagePattern`
The `ImagePattern` class fills a shape with an image pattern.
`final class`
`LinearGradient`
The `LinearGradient` class fills a shape with a linear color gradient pattern.
`final class`
`RadialGradient`
The `RadialGradient` class provides a way to fill a shape with a circular radial color gradient pattern.
Methods in javafx.scene.paint that return Paint
Modifier and Type
Method
Description
`static Paint`
Paint.`valueOf(String value)`
Creates a paint value from a string representation.

## Uses of Paint in javafx.scene.shape

Methods in javafx.scene.shape that return Paint
Modifier and Type
Method
Description
`final Paint`
Shape.`getFill()`
Gets the value of the `fill` property.
`final Paint`
Shape.`getStroke()`
Gets the value of the `stroke` property.
Methods in javafx.scene.shape that return types with arguments of type Paint
Modifier and Type
Method
Description
`final ObjectProperty<Paint>`
Shape.`fillProperty()`
Defines parameters to fill the interior of an `Shape` using the settings of the `Paint` context.
`final ObjectProperty<Paint>`
Shape.`strokeProperty()`
Defines parameters of a stroke that is drawn around the outline of a `Shape` using the settings of the specified `Paint`.
Methods in javafx.scene.shape with parameters of type Paint
Modifier and Type
Method
Description
`final void`
Shape.`setFill(Paint value)`
Sets the value of the `fill` property.
`final void`
Shape.`setStroke(Paint value)`
Sets the value of the `stroke` property.
Constructors in javafx.scene.shape with parameters of type Paint
Modifier
Constructor
Description
``
`Circle(double centerX, double centerY, double radius, Paint fill)`
Creates a new instance of Circle with a specified position, radius and fill.
``
`Circle(double radius, Paint fill)`
Creates a new instance of Circle with a specified radius and fill.
``
`Rectangle(double width, double height, Paint fill)`
Creates a new instance of Rectangle with the given size and fill.

## Uses of Paint in javafx.scene.text

Methods in javafx.scene.text that return Paint
Modifier and Type
Method
Description
`final Paint`
Text.`getSelectionFill()`
Gets the value of the `selectionFill` property.
Methods in javafx.scene.text that return types with arguments of type Paint
Modifier and Type
Method
Description
`final ObjectProperty<Paint>`
Text.`selectionFillProperty()`
The fill color of selected text.
Methods in javafx.scene.text with parameters of type Paint
Modifier and Type
Method
Description
`final void`
Text.`setSelectionFill(Paint paint)`
Sets the value of the `selectionFill` property.